Subject: Re: randconfig build error with next-20141112, in net/sched

From: Hannes Frederic Sowa <[email-masked]>
Date: Thu, 13 Nov 2014 11:22:30 +0100

On Mi, 2014-11-12 at 15:33 -0700, Jim Davis wrote:
> Building with the attached random configuration file,
> 
> ERROR: "reciprocal_value" [net/sched/sch_sfq.ko] undefined!
> ERROR: "reciprocal_value" [net/sched/sch_netem.ko] undefined!

Thanks for the report. I think moving reciproval_div.o from lib-y to
obj-y should resolve the problem. On it...

The problem with lib-y is, if vmlinux itself doesn't use the symbol,
even if it is EXPORT_SYMBOLED, it won't be linked into the kernel. You
seem to hit a configuration where reciproval_divide wasn't used in the
kernel at all but only in modules, as such it got purged from vmlinux
during linking.

Thanks,
Hannes